package com.acme.jpa.business;

/**
 * A callback interface to initialize a record inside the context of the transaction
 * being used to retrieve it.
 * 
 * @param <T> Entity type
 */
public interface EntityInitializer<T>
{
   public T initialize(T entity);
}
